Subject: gitweb.cgi

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 17 Oct 2005 19:57:22 -0700

It is increasingly clear that gitweb.cgi is producing an unacceptable 
load on the kernel.org servers.  Most of the hits we get are either the 
gitweb front page or the gitweb rss feeds, and it's eating I/O bandwidth 
like crazy.

This has become particularly painful during the current one-server outage.

Kay, gitweb really needs to be able to do caching, or be run behind a 
caching proxy.  Otherwise I will have to turn it off until we can come 
up with a dedicated piece of server hardware for it.

	-hpa